import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { EquipoTipoEntrada } from '../equipo-tipo-entrada.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('ete.id_equipo_tipo_entrada', 'id_equipo_tipo_entrada')
      .addSelect('ete.id_equipo', 'id_equipo')
      .addSelect('ete.id_tipo_entrada', 'id_tipo_entrada')
      .from(EquipoTipoEntrada, 'ete'),
})
export class InformacionEquipoTipoEntradaView {
  @ViewColumn()
  id_equipo_tipo_entrada: number;

  @ViewColumn()
  id_equipo: number;

  @ViewColumn()
  id_tipo_entrada: number;
}
