import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionUsuarioService } from './institucion-usuario.service';
import { InstitucionUsuario } from './entity/institucion-usuario.entity';
import { InstitucionUsuarioController } from './institucion-usuario.controller';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([InstitucionUsuario]),
    ValidarUsuarioModule,
  ],
  providers: [InstitucionUsuarioService],
  exports: [InstitucionUsuarioService],
  controllers: [InstitucionUsuarioController],
})
export class InstitucionUsuarioModule {}
