import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Institucion } from '../../../institucion/entity/institucion.entity';
import { TipoUsuario } from '../../../tipo-usuario/entity/tipo-usuario.entity';
import { Operador } from '../operador.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('o.id_operador', 'id_operador')
      .addSelect('o.activo', 'activo')
      .addSelect('o.id_institucion', 'id_institucion')
      .addSelect('o.id_tipo_usuario', 'id_tipo_usuario')
      .addSelect('o.nombre', 'nombre')
      .addSelect('o.operador', 'operador')
      .addSelect('o.password', 'password')
      .from(Operador, 'o'),
})
export class InformacionOperadorView {
  @ViewColumn()
  id_operador: number;

  @ViewColumn()
  activo: boolean;

  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  id_tipo_usuario: number;

  @ViewColumn()
  nombre: string;

  @ViewColumn()
  operador: string;

  @ViewColumn()
  password: string;
}
